%define module_name aic79xx

Name:		dkms-%{module_name}
Version:	2.0.12
Release:	3mdk
Summary:	DKMS-ready driver for the Adaptec AIC-7901 on-board controller
License:	GPL
Source:		aic7Yxx-%{version}-6.3.9-linux-2.6.tar.bz2
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Buildarch:	noarch
Obsoletes:	%{module_name}-dkms
Provides:	%{module_name}-dkms

%description
This package contains a DKMS-ready driver for the Adaptec AIC-7901 on-board
controller.


%prep
%setup -q -c -n %{module_name}-%{version}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module_name}-%{version}
cp -a drivers/scsi/aic7xxx/* %{buildroot}/usr/src/%{module_name}-%{version}
cat > %{buildroot}/usr/src/%{module_name}-%{version}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/scsi/aic7xxx/"
MODULES_CONF_ALIAS_TYPE[0]="scsi_hostadapter"
REMAKE_INITRD="yes"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{module_name} -v %{version} --rpm_safe_upgrade
  dkms build -m %{module_name} -v %{version} --rpm_safe_upgrade
  dkms install -m %{module_name} -v %{version} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#  then dkms remove -m %{module_name} -v %{version} --rpm_safe_upgrade --all ||:
#fi

%files
%defattr(-,root,root)
/usr/src/%{module_name}-%{version}

%changelog
* Mon Jan 10 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.12-3mdk 
- changed name

* Sun Jan 09 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.12-2mdk 
- fix perms
- fix group
- fix description

* Sun Jan 09 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.12-1mdk 
- initial release
